0

Can someone help me with this error my website is not working even wp-admin page I'm getting this error message I have tried to disable all plugins but still same error?

Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'wp_pre_kses_block_attributes' not found or invalid function name in /home//public_html/wp-includes/class-wp-hook.php on line 288

Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'wp_pre_kses_block_attributes' not found or invalid function name in /home/public_html/wp-includes/class-wp-hook.php on line 288

Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'wp_pre_kses_block_attributes' not found or invalid function name in /home/public_html/wp-includes/class-wp-hook.php on line 288

Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'wp_pre_kses_block_attributes' not found or invalid function name in /home/public_html/wp-includes/class-wp-hook.php on line 288

Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'wp_pre_kses_block_attributes' not found or invalid function name in /home/public_html/wp-includes/class-wp-hook.php on line 288

Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'wp_pre_kses_block_attributes' not found or invalid function name in /home/public_html/wp-includes/class-wp-hook.php on line 288

Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'wp_pre_kses_block_attributes' not found or invalid function name in /home/public_html/wp-includes/class-wp-hook.php on line 288

Warning: Cannot modify header information - headers already sent by (output started at /home/aryshe5/public_html/wp-includes/class-wp-hook.php:288) in /home/public_html/wp-includes/pluggable.php on line 1265

Warning: Cannot modify header information - headers already sent by (output started at /home/aryshe5/public_html/wp-includes/class-wp-hook.php:288) in /home/public_html/wp-includes/pluggable.php on line 1268

  • There is a hook that isn't finding the function/callable that was attached to it 'wp_pre_kses_block_attributes'. I cannot help much without knowing more. We need to know where the 'wp_pre_kses_block_attributes' function comes from – Raba Dec 16 '19 at 0:06
3

Reinstalling core should fix this issue. This is more than likely related to a botched update from 5.3 to 5.3.1.

Edit: To clarify, 5.3.1 included some hardening with relation to kses (specifically wp_kses_bad_protocol()) as noted in the release post.

In the error output above, a core file was referencing a core function that didn't exist, which tells us that one core file was updated but another one elsewhere was not. So "botched update" is the conclusion.

As for why the update didn't work, your guess is as good as mine.

1

In my case, I just received the same error and went into wp-admin and chose to upgrade from WordPress 5.3 to 5.3.1, that resolved the errors.

  • Thank you chuckfinley the error has been resolved. – MrSher Dec 16 '19 at 21:52
0

Reinstalling WordPress latest version from the dashboard options fixed this issue for me! :)

Just a corrupt update essentially.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.